# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "s4"
version = "0.0.14"
authors = ["Peter Gerber <peter@arbitrary.ch>"]
description = "Simpler Simple Storage Service: high-level API extensions for Rusoto's S3Client"
documentation = "https://docs.rs/s4"
readme = "README.md"
keywords = ["AWS", "S3"]
license = "LGPL-3.0+"
repository = "https://gitlab.com/pgerber/s4"
[dependencies.derive-error]
version = "0.0"

[dependencies.fallible-iterator]
version = "0.2"

[dependencies.futures]
version = "0.1"

[dependencies.log]
version = "0.4"

[dependencies.rusoto_core]
version = "0.39"
default_features = false

[dependencies.rusoto_credential]
version = "0.39"

[dependencies.rusoto_s3]
version = "0.39"
default_features = false

[dependencies.tokio-io]
version = "0.1"
[dev-dependencies.env_logger]
version = "0.6"

[dev-dependencies.quickcheck]
version = "0.8"

[dev-dependencies.rand]
version = "0.6"

[dev-dependencies.rand_xorshift]
version = "0.1"

[dev-dependencies.tempdir]
version = "0.3"

[features]
default = ["rustls"]
native-tls = ["rusoto_core/native-tls", "rusoto_s3/native-tls"]
rustls = ["rusoto_core/rustls", "rusoto_core/rustls"]
[badges.gitlab]
repository = "pgerber/s4"
